View Issue Details

IDProjectCategoryLast Update
0019306AI War 2[All Projects] Crash/ExceptionFeb 2, 2018 7:25 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.610 
Fixed in Version 
Summary0019306: Error on Turret_Missile: Chain at index 0 does not have base location match
DescriptionI was playing a game on .610 and hit an error:

12/11/2017 11:48:18 PM
-----------^M
Errors on Turret_Missile(Clone) :
Chain at index 0 does not have its base location matching the current renderer location. This is okay only if you're testing an LOD with its offset.^M
Stack Trace: UnityEngine.Debug:LogError(Object, Object)
ArcenVisualShip:DoErrorCheckInner() (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/src/ShipDisplayCode/ArcenVisualShip.cs:75)
Arcen.AIW2.ExternalVisualization.ShipVisualizer:Activate(Transform, ArcenGameObjectResourcePool, IFormationPool, GameEntityTypeData, Boolean)
ArcenVisualShip:Activate(Transform, ArcenGameObjectResourcePool, IFormationPool, GameEntityTypeData, Boolean) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/\
src/ShipDisplayCode/ArcenVisualShip.cs:188)
Arcen.AIW2.Core.ArcenGameObjectResourcePool:GetAndActivateISingleShip(Transform, IFormationPool, GameEntityTypeData, Boolean) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAI\
W2Core/src/Presentation/ArcenGameObjectResourcePool.cs:231)
Arcen.AIW2.ExternalVisualization.SquadVisualizer:AddStartingShips()
Arcen.AIW2.ExternalVisualization.SquadVisualizer:Activate(ArcenGameObjectResourcePool, GameEntity, GameEntityTypeData, EntityTypeFactionVisualData)
Arcen.AIW2.Core.ArcenGameObjectResourcePool:GetAndActivateIVisualObject(GameEntity, GameEntityTypeData, EntityTypeFactionVisualData, ParentType) (at C:/vcprojs/arcengame\
s_aiw_ultra/ArcenAIW2Core/src/Presentation/ArcenGameObjectResourcePool.cs:184)
Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton:HandleVisualObjectAddRequests()
Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton:RunPlanetUpdateTree()
Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton:RunUpdate()
ArcenMainGameVisuals:Update() (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/src/ShipDisplayCode/ArcenMainGameVisuals.cs:77)
....

12/11/2017 11:48:18 PM
ErrorsReportedByEngine: -----------^M
Errors on Turret_Missile(Clone) :
Chain at index 0 does not have its base location matching the current renderer location. This is okay only if you're testing an LOD with its offset.^M
Stack Trace: UnityEngine.Debug:LogError(Object, Object)
ArcenVisualShip:DoErrorCheckInner() (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/src/ShipDisplayCode/ArcenVisualShip.cs:75)
Arcen.AIW2.ExternalVisualization.ShipVisualizer:Activate(Transform, ArcenGameObjectResourcePool, IFormationPool, GameEntityTypeData, Boolean)
ArcenVisualShip:Activate(Transform, ArcenGameObjectResourcePool, IFormationPool, GameEntityTypeData, Boolean) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/\
src/ShipDisplayCode/ArcenVisualShip.cs:188)
Arcen.AIW2.Core.ArcenGameObjectResourcePool:GetAndActivateISingleShip(Transform, IFormationPool, GameEntityTypeData, Boolean) (at C:/vcprojs/arcengames_aiw_ultra/ArcenAI\
W2Core/src/Presentation/ArcenGameObjectResourcePool.cs:231)
Arcen.AIW2.ExternalVisualization.SquadVisualizer:AddStartingShips()
Arcen.AIW2.ExternalVisualization.SquadVisualizer:Activate(ArcenGameObjectResourcePool, GameEntity, GameEntityTypeData, EntityTypeFactionVisualData)
Arcen.AIW2.Core.ArcenGameObjectResourcePool:GetAndActivateIVisualObject(GameEntity, GameEntityTypeData, EntityTypeFactionVisualData, ParentType) (at C:/vcprojs/arcengame\
s_aiw_ultra/ArcenAIW2Core/src/Presentation/ArcenGameObjectResourcePool.cs:184)
Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton:HandleVisualObjectAddRequests()
Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton:RunPlanetUpdateTree()
Arcen.AIW2.ExternalVisualization.BattlefieldVisualSingleton:RunUpdate()
ArcenMainGameVisuals:Update() (at C:/vcprojs/arcengames_aiw_ultra/ArcenAIW2Visualization/src/ShipDisplayCode/ArcenMainGameVisuals.cs:77)
TagsNo tags attached.

Activities

BadgerBadger

Dec 11, 2017 11:57 pm

manager   ~0046623

When I hit this problem my game was suffering from https://bugtracker.arcengames.com/view.php?id=19292, so if the "stuck threads" in that bug could cause this problem, it's a duplicate issue.

BadgerBadger

Feb 1, 2018 9:50 am

manager   ~0046810

I have a vague recollection this was hit placing a bunch of turrets quickly with the shift key held down. I may be misremembering though.

keith.lamothe

Feb 2, 2018 7:25 pm

administrator   ~0046838

I tried but could not repro. This appears to have been fixed in the meantime; there were a ton of changes in the vis layer since then.

Issue History

Date Modified Username Field Change
Dec 11, 2017 11:51 pm BadgerBadger New Issue
Dec 11, 2017 11:57 pm BadgerBadger Note Added: 0046623
Jan 26, 2018 9:59 am Dune Assigned To => keith.lamothe
Jan 26, 2018 9:59 am Dune Status new => assigned
Feb 1, 2018 9:50 am BadgerBadger Note Added: 0046810
Feb 2, 2018 7:25 pm keith.lamothe Status assigned => resolved
Feb 2, 2018 7:25 pm keith.lamothe Resolution open => fixed
Feb 2, 2018 7:25 pm keith.lamothe Note Added: 0046838